Skip to main content
`Ctrl`+`K`

# PFSetOptionsPrefix

Sets the prefix used for searching for all `PF` options in the database.

## Synopsis

    #include "petscpf.h"
    PetscErrorCode PFSetOptionsPrefix(PF pf, const char prefix[])

Logically Collective

## Input Parameters

- pf - the `PF` context

- prefix - the prefix string to prepend to all `PF` option requests

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

KSP: Linear System Solvers, `PF`, `PFSetFromOptions()`, `PFAppendOptionsPrefix()`, `PFGetOptionsPrefix()`

## Level

advanced

## Location

src/vec/pf/interface/pf.c

Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages